/*
 * Copyright (C) 2020-2022 Huawei Technologies Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.huaweicloud.dubbo.governance;

import java.util.List;

import org.apache.dubbo.rpc.RpcException;
import org.apache.servicecomb.governance.handler.ext.RetryExtension;
import org.springframework.stereotype.Component;

@Component
public class DubboServicecombRetryExtension implements RetryExtension {
  @Override
  public boolean isRetry(List<String> statusList, Object result) {
    return false;
  }

  @Override
  @SuppressWarnings({"unchecked", "rawtypes"})
  public Class<? extends Throwable>[] retryExceptions() {
    return new Class[] {
        RpcException.class
    };
  }
}
